clang 10.0.0git

Functions
ExprInspectionChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/StaticAnalyzer/Checkers/SValExplainer.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/IssueHash.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Support/ScopedPrinter.h"`
Include dependency graph for ExprInspectionChecker.cpp:

Go to the source code of this file.

## Functions
static const char * | getArgumentValueString (const CallExpr *CE, CheckerContext &C)

## Function Documentation

## ◆ getArgumentValueString()

static const char* getArgumentValueString | ( | const CallExpr * | CE,
|  | CheckerContext & | C
| ) |  |
| static

Definition at line 103 of file ExprInspectionChecker.cpp.

References clang::CallExpr::getArg(), clang::Stmt::getBeginLoc(), clang::GetIssueString(), getName(), clang::CallExpr::getNumArgs(), clang::LocationContext::getParent(), clang::LocationContext::getStackFrame(), clang::Expr::IgnoreParenCasts(), clang::ento::OS, SM, State, and V.